﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid grid = (WebDataGrid)this.WebDropDown1.Items[0].FindControl("WebDataGrid1");
        grid.DataSource = MakeTable();
    }

    protected void WebDropDown1_ValueChanged(object sender, Infragistics.Web.UI.ListControls.DropDownValueChangedEventArgs e)
    {


    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "Date";
        column.AutoIncrement = false;
        column.Caption = "Date";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);

        // Create fourth column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;

        //for (int i = 0; i <= 20; i++)
        //{
        //    row = table.NewRow();
        //    row["id"] = i;
        //    row["Item"] = "Item " + i;
        //    row["Date"] = "Data " + i;
        //    row["Data"] = "Data " + i;
        //    table.Rows.Add(row);
        //}

        //this is just being set back one year so that the date is in the past
        DateTime currDate = new DateTime(DateTime.Today.Year - 1, 1, 1);
        Int32 i = 1;

        row = table.NewRow();

        row["id"] = i;
        row["Item"] = "Item 1";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 2";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 3";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 4";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 5";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 5";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(-3);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 6";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 7";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(-25);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 8";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 9";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 10";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 10";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 11";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 12";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 13";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);

        i += 1;
        currDate = currDate.AddDays(1);
        row = table.NewRow();
        row["id"] = i;
        row["Item"] = "Item 14";
        row["Date"] = currDate;
        row["Data"] = "Data Column for " + i;
        table.Rows.Add(row);


        return table;

    }
    protected void WebDataGrid1_RowSelectionChanged(object sender, SelectedRowEventArgs e)
    {

        string value = e.CurrentSelectedRows[0].Items[1].Text;
        DataTable table = MakeTable();
        table.DefaultView.RowFilter = "Item = " + "'" + value + "'";
        WebDataGrid2.ClearDataSource();
        WebDataGrid2.DataSource = table;
        WebDataGrid2.DataBind();
    }
}